﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Data;
using Infragistics.Windows.DataPresenter;

namespace XamDataGridSample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            AddData();
        }

        private void AddData()
        {
            DataTable table = new DataTable();
            table.Columns.Add("Name");
            table.Columns.Add("Age");
            table.Columns.Add("Town");
            table.Columns.Add("State");
            for (int i = 0; i < 20; i++)
            {
                if (i % 2 == 0)
                    table.Rows.Add("Ricky", "31", "Chennai", "TamilNadu");
                else if (i % 3 == 0)
                    table.Rows.Add("Vinay", "20", "Mumbai", "Maharastra");
                else if (i % 5 == 0)
                    table.Rows.Add("Raj", "42", "Bangalore", "Karnataka");
                else
                    table.Rows.Add("James", "25", "Pune", "Maharastra");
            }
            grid.DataSource = table.DefaultView;
        }

        private void btnChangeRowHeight_Click(object sender, RoutedEventArgs e)
        {
            Record record = grid.ActiveRecord;
            RecordPresenter recordPresenter = DataRecordPresenter.FromRecord(record);
            if (record != null && recordPresenter != null && record.IsDataRecord)
            {
                foreach (Infragistics.Windows.DataPresenter.Cell cell in (record as DataRecord).Cells)
                {
                    Infragistics.Windows.DataPresenter.CellValuePresenter cellValuePresenter = CellValuePresenter.FromCell(cell);
                    if (cellValuePresenter != null)
                        cellValuePresenter.Height = 35;
                }
                recordPresenter.Height = 36;
            }
        }
    }
}
